import { c as classNames } from "./reactSlick.js";
import React__default from "react";
const radioGroup = "radioGroup _radioGroup_1bc07";
const radio = "radio _radio_a7789";
const radioButton = "radioButton _radioButton_31585";
const checked = "checked _checked_53c7e";
var styles = {
  radioGroup,
  radio,
  radioButton,
  checked
};
const Radio = (props) => /* @__PURE__ */ React__default.createElement("div", {
  className: classNames(styles.radio, "radio", props.className, props.checked && styles.checked)
}, /* @__PURE__ */ React__default.createElement("button", {
  type: "button",
  onClick: props.onClick,
  className: classNames(styles.radioButton, "radioButton")
}), /* @__PURE__ */ React__default.createElement("label", null, props.label));
const RadioGroup = ({ children }) => /* @__PURE__ */ React__default.createElement("div", {
  className: classNames(styles.radioGroup, "radioGroup")
}, children);
export { RadioGroup as R, Radio as a };
